"use strict";
const common_vendor = require("../../common/vendor.js");
const CUSTOMER_list_house_model = require("./model.js");
const CUSTOMER_list_house_method = require("./method.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/libraries/apiLoading.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/userUserLogin.js");
if (!Array) {
  const _easycom_hs_empty2 = common_vendor.resolveComponent("hs-empty");
  _easycom_hs_empty2();
}
const _easycom_hs_empty = () => "../../components/hs-empty/hs-empty.js";
if (!Math) {
  (MySearchBox + _easycom_hs_empty)();
}
const MySearchBox = () => "./components/SearchBox.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad(() => {
      CUSTOMER_list_house_method.method.getGridAssetBuilding();
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h;
      return common_vendor.e({
        a: !((_c = (_b = (_a = common_vendor.unref(CUSTOMER_list_house_model.useModel)) == null ? void 0 : _a.listData) == null ? void 0 : _b.value) == null ? void 0 : _c.length)
      }, !((_f = (_e = (_d = common_vendor.unref(CUSTOMER_list_house_model.useModel)) == null ? void 0 : _d.listData) == null ? void 0 : _e.value) == null ? void 0 : _f.length) ? {} : {}, {
        b: common_vendor.f((_h = (_g = common_vendor.unref(CUSTOMER_list_house_model.useModel)) == null ? void 0 : _g.listData) == null ? void 0 : _h.value, (i, index, i0) => {
          return {
            a: common_vendor.t(i == null ? void 0 : i.floor),
            b: common_vendor.f(i == null ? void 0 : i.houses, (k, idx, i1) => {
              return {
                a: common_vendor.t(k == null ? void 0 : k.name),
                b: common_vendor.t((k == null ? void 0 : k.has_arrear) ? "欠费" : "结清"),
                c: common_vendor.n(`status status_${k == null ? void 0 : k.has_arrear}`),
                d: `item_${index}_${idx}`,
                e: common_vendor.o(($event) => {
                  var _a2;
                  return (_a2 = common_vendor.unref(CUSTOMER_list_house_method.method)) == null ? void 0 : _a2.toDetaile(k);
                }, `item_${index}_${idx}`)
              };
            }),
            c: `item_${index}`
          };
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/CUSTOMER/list_house/index.vue"]]);
wx.createPage(MiniProgramPage);
